Subject: Re: bug#20283: 25.0.50; Emacs freezes when yanking

From: Rasmus <[email-masked]>
Date: Thu, 09 Apr 2015 12:03:19 +0200

Tassilo Horn <[email-masked]> writes:

> Since recently, I sometimes get short freezes when yanking text, i.e., I
> either kill some text in emacs or mark some text in other applications
> so that it is added to the X selection, and then when I do `C-y' emacs
> hangs for some seconds, and then the actual yank is performed.
>
> Sometimes, I get the following error message just before the freeze
> stops:
>
>   gui-get-selection: (error "Timed out waiting for reply from selection owner")
>
> That behavior doesn't start right after starting emacs (and
> consequently, I haven't been able to reproduce it using emacs -Q) but
> after some time using it.  So it might depend on some mode being
> loaded/activated or something else.

See also:

    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16737

When it happens to me I usually do (setq x-selection-timeout 10) and yank
several times.  Eventually yanking works again.

—Rasmus

-- 
⠠⠵